curl --request POST \
--url https://app.leadconduit.com/exports \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"created_at": "2023-11-07T05:31:56Z",
"start": "2023-11-07T05:31:56Z",
"end": "2023-11-07T05:31:56Z",
"filter_rules": [
{
"lhv": "<string>",
"op": "<string>",
"rhv": "<string>"
}
],
"email_to": [
"<string>"
],
"fields": [
"<string>"
],
"standard_dates": true,
"user": {
"id": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"email": "<string>",
"sso_id": "<string>"
},
"expires_at": "2023-11-07T05:31:56Z",
"reason": {
"message": "<string>"
},
"error": "<string>",
"exported_docs": 123,
"file_name": "<string>",
"downloads": [
{}
]
}
'import requests
url = "https://app.leadconduit.com/exports"
payload = {
"created_at": "2023-11-07T05:31:56Z",
"start": "2023-11-07T05:31:56Z",
"end": "2023-11-07T05:31:56Z",
"filter_rules": [
{
"lhv": "<string>",
"op": "<string>",
"rhv": "<string>"
}
],
"email_to": ["<string>"],
"fields": ["<string>"],
"standard_dates": True,
"user": {
"id": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"email": "<string>",
"sso_id": "<string>"
},
"expires_at": "2023-11-07T05:31:56Z",
"reason": { "message": "<string>" },
"error": "<string>",
"exported_docs": 123,
"file_name": "<string>",
"downloads": [{}]
}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({
created_at: '2023-11-07T05:31:56Z',
start: '2023-11-07T05:31:56Z',
end: '2023-11-07T05:31:56Z',
filter_rules: [{lhv: '<string>', op: '<string>', rhv: '<string>'}],
email_to: ['<string>'],
fields: ['<string>'],
standard_dates: true,
user: {
id: '<string>',
first_name: '<string>',
last_name: '<string>',
email: '<string>',
sso_id: '<string>'
},
expires_at: '2023-11-07T05:31:56Z',
reason: {message: '<string>'},
error: '<string>',
exported_docs: 123,
file_name: '<string>',
downloads: [{}]
})
};
fetch('https://app.leadconduit.com/exports', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "5fd4371e940df5a34a3888b2",
"created_at": "2023-11-07T05:31:56Z",
"status": "created",
"start": "2023-11-07T05:31:56Z",
"end": "2023-11-07T05:31:56Z",
"filter_rules": [
{
"lhv": "<string>",
"op": "<string>",
"rhv": "<string>"
}
],
"email_to": [
"<string>"
],
"fields": [
"<string>"
],
"date_format": "standard",
"user": {
"id": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"email": "<string>",
"sso_id": "<string>"
},
"expires_at": "2023-11-07T05:31:56Z",
"reason": {
"message": "<string>"
},
"error": "<string>",
"exported_docs": 123,
"file_name": "<string>",
"downloads": [
{}
]
}{
"error": "not authorized"
}{
"errors": {
"name": [
"Must be unique"
]
}
}Create an export
Requests a CSV export of lead events for a time range. The export runs in the
background: poll GET /exports/{id} until status is complete, then call
GET /exports/{id}/file to get a download link. The addresses in email_to are
notified when the file is ready.
Only start, end, fields, filter_rules, email_to, and standard_dates are read
from the request; the other properties of an export are set by LeadConduit. Send
standard_dates: true for the standard date format in the CSV; the export’s
date_format reflects the choice and defaults to legacy.
Authorizations
LeadConduit uses HTTP Basic Authentication
with the username API and your API key as the password.
For example: API:1f1b96c9150d8050e858c043d543bb4eadae0e6f'
Body
The export to create
An export job that produces a CSV of lead events for a given time range and field selection.
When the export was requested.
Current state of the export job.
created, processing, complete, error, truncated Start of the time range covered by this export (inclusive).
End of the time range covered by this export (exclusive).
Rules used to filter the events included in the export.
Show child attributes
Show child attributes
Email addresses notified when the export completes.
Lead/event fields included in the resulting CSV.
Request only. true selects the standard date format for the CSV, otherwise the export uses legacy. Reflected as date_format on the created export.
User who requested the export.
Show child attributes
Show child attributes
When the export becomes unavailable for download.
Optional explanation when the status is truncated or error.
Show child attributes
Show child attributes
Error message when the status is error.
Number of lead/event records included in the resulting CSV.
Name of the resulting CSV file.
Audit log of users who have downloaded this export.
Response
Created
An export job that produces a CSV of lead events for a given time range and field selection.
ID of this export
^[0-9a-fA-F]{24}$"5fd4371e940df5a34a3888b2"
When the export was requested.
Current state of the export job.
created, processing, complete, error, truncated Start of the time range covered by this export (inclusive).
End of the time range covered by this export (exclusive).
Rules used to filter the events included in the export.
Show child attributes
Show child attributes
Email addresses notified when the export completes.
Lead/event fields included in the resulting CSV.
Date format used in the resulting CSV. Set from standard_dates when the export is created.
standard, legacy User who requested the export.
Show child attributes
Show child attributes
When the export becomes unavailable for download.
Optional explanation when the status is truncated or error.
Show child attributes
Show child attributes
Error message when the status is error.
Number of lead/event records included in the resulting CSV.
Name of the resulting CSV file.
Audit log of users who have downloaded this export.